#include <bits/stdc++.h>
#define pb push_back
#define ll long long
#define FOR(n) for(int i = 0; i < n; i++)
#define fi first
#define se second
#define pii pair<int,int>
#define pll pair<long long, long long>
#define C const int
using namespace std;

double money(int n, vector<double> a, vector<double> p, double mid){
    double ans = 0;
    FOR(n){
        if(mid<=p[i]){
            ans+=1.0*a[i]*mid/100;
        }
    }
    return ans;
}

int main()
{
	ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);cerr.tie(0);

    int n; cin >> n;
    vector<double> a(n),p(n);
    FOR(n) cin >> a[i] >> p[i];

    double l = 0, r = 100,ans=0;
    for(int i = 0; i < 1000; i++){
        double mid = (l+r)/2;
        double pare = money(n,a,p,mid);
        if(pare > ans){
            ans = pare;
            l = mid;
        }
        else r = mid;
    }
    cout << fixed << setprecision(4) << ans;

}